/*
** Module   : Deletable.java
** Abstract : All resources which can be deleted must implement this interface.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20130112 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Interface to be implemented by all resources which can be deleted. 
 */
public interface Deletable
{
   /**
    * Perform actual delete of an resource. At the time of this call, it is assumed the resource
    * is valid for deletion (the handle and the resource are both valid).
    */
   public void delete();
}
